org.apache.ignite.spi.tracing.opencensus

## Class OpenCensusSpanAdapter

- java.lang.Object
- - org.apache.ignite.spi.tracing.opencensus.OpenCensusSpanAdapter

- All Implemented Interfaces:
    SpiSpecificSpan

      public class OpenCensusSpanAdapter
      extends Object
      implements SpiSpecificSpan

  Span implementation based on OpenCensus library.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenCensusSpanAdapter` | `addLog(String logDesc)` Logs work to span.
    `OpenCensusSpanAdapter` | `addTag(String tagName, String tagVal)` Adds tag to span with `String` value.
    `OpenCensusSpanAdapter` | `end()` Ends span.
    `io.opencensus.trace.Span` | `impl()`
    `boolean` | `isEnded()`
    `OpenCensusSpanAdapter` | `setStatus(SpanStatus spanStatus)` Explicitly set status for span.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### impl

          public io.opencensus.trace.Span impl()

      Returns:
        Implementation object.

    - #### addTag

          public OpenCensusSpanAdapter addTag(String tagName,
                                              String tagVal)

      Adds tag to span with `String` value.
      Specified by:
        `addTag` in interface `SpiSpecificSpan`
      Parameters:
        `tagName` - Tag name.
        `tagVal` - Tag value.
      Returns:
        `this` for chaining.

    - #### addLog

          public OpenCensusSpanAdapter addLog(String logDesc)

      Logs work to span.
      Specified by:
        `addLog` in interface `SpiSpecificSpan`
      Parameters:
        `logDesc` - Log description.
      Returns:
        `this` for chaining.

    - #### setStatus

          public OpenCensusSpanAdapter setStatus(SpanStatus spanStatus)

      Explicitly set status for span.
      Specified by:
        `setStatus` in interface `SpiSpecificSpan`
      Parameters:
        `spanStatus` - Status.
      Returns:
        `this` for chaining.

    - #### end

          public OpenCensusSpanAdapter end()

      Ends span. This action sets default status if not set and mark the span as ready to be exported.
      Specified by:
        `end` in interface `SpiSpecificSpan`
      Returns:
        `this` for chaining.

    - #### isEnded

          public boolean isEnded()

      Specified by:
        `isEnded` in interface `SpiSpecificSpan`
      Returns:
        `true` if span has already ended.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023